Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::Codec Interface Reference

`#include <IOPC.h>`

Inheritance diagram for IOP::Codec:

[legend]
Collaboration diagram for IOP::Codec:

[legend]
List of all members.

## Public Types
typedef Codec_ptr | _ptr_type
typedef Codec_var | _var_type
## Public Methods
CORBA::OctetSeq | encode (in any data) raises (InvalidTypeForEncoding)
any | decode (in CORBA::OctetSeq data) raises (FormatMismatch)
CORBA::OctetSeq | encode_value (in any data) raises (InvalidTypeForEncoding)
any | decode_value (in CORBA::OctetSeq data, in CORBA::TypeCode tc) raises (FormatMismatch, TypeMismatch)
virtual::CORBA::OctetSeq * | encode (const CORBA::Any &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )
virtual CORBA::Any * | decode (const CORBA::OctetSeq &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::FormatMismatch )
virtual::CORBA::OctetSeq * | encode_value (const CORBA::Any &data ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )
virtual CORBA::Any * | decode_value (const CORBA::OctetSeq &data, CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IOP::Codec::FormatMismatch , IOP::Codec::TypeMismatch )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
Codec_ptr | _duplicate (Codec_ptr obj)
Codec_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Codec_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Codec_ptr | _nil (void)
| Return a NULL object. More...
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any. More...
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_InvalidTypeForEncoding
static::CORBA::TypeCode_ptr | _tc_FormatMismatch
static::CORBA::TypeCode_ptr | _tc_TypeMismatch
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| Codec (void)
virtual | ~Codec (void)
## Private Methods
| Codec (const Codec &)
void | operator= (const Codec &)

## Member Typedef Documentation

typedef Codec_ptr IOP::Codec::_ptr_type

| Reimplemented from CORBA_Object.

typedef Codec_var IOP::Codec::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

IOP::Codec::Codec | ( | void |  | ) | `[protected]`

virtual IOP::Codec::~Codec | ( | void |  | ) | `[protected, virtual]`

IOP::Codec::Codec | ( | const Codec & |  | ) | `[private]`

## Member Function Documentation

Codec_ptr IOP::Codec::_duplicate | ( | Codec_ptr | obj | ) | `[static]`

virtual const char* IOP::Codec::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object.

Codec_ptr IOP::Codec::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

Codec_ptr IOP::Codec::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object.

void IOP::Codec::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA_Object.

virtual void* IOP::Codec::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object.

Codec_ptr IOP::Codec::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual CORBA::Any* IOP::Codec::decode | ( | const CORBA::OctetSeq &data | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , IOP::Codec::FormatMismatch )`[pure virtual]`

| Reimplemented in TAO_CDR_Encaps_Codec.

any IOP::Codec::decode | ( | in CORBA::OctetSeq | data | ) | raises (FormatMismatch)

virtual CORBA::Any* IOP::Codec::decode_value | ( | const CORBA::OctetSeq & | data,
|  | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , IOP::Codec::FormatMismatch , IOP::Codec::TypeMismatch )`[pure virtual]`

| Reimplemented in TAO_CDR_Encaps_Codec.

any IOP::Codec::decode_value | ( | in CORBA::OctetSeq | data,
|  | in CORBA::TypeCode | tc
| ) | raises (FormatMismatch, TypeMismatch)

virtual ::CORBA::OctetSeq* IOP::Codec::encode | ( | const CORBA::Any &data | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )`[pure virtual]`

| Reimplemented in TAO_CDR_Encaps_Codec.

CORBA::OctetSeq IOP::Codec::encode | ( | in any | data | ) | raises (InvalidTypeForEncoding)

virtual ::CORBA::OctetSeq* IOP::Codec::encode_value | ( | const CORBA::Any &data | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , IOP::Codec::InvalidTypeForEncoding )`[pure virtual]`

| Reimplemented in TAO_CDR_Encaps_Codec.

CORBA::OctetSeq IOP::Codec::encode_value | ( | in any | data | ) | raises (InvalidTypeForEncoding)

void IOP::Codec::operator= | ( | const Codec & |  | ) | `[private]`

## Member Data Documentation

int IOP::Codec::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object.

CORBA::TypeCode_ptr IOP::Codec::_tc_FormatMismatch

| Initial value:
      &_tc_TAO_tc_IOP_Codec_FormatMismatch

CORBA::TypeCode_ptr IOP::Codec::_tc_InvalidTypeForEncoding

| Initial value:
      &_tc_TAO_tc_IOP_Codec_InvalidTypeForEncoding

CORBA::TypeCode_ptr IOP::Codec::_tc_TypeMismatch

| Initial value:
      &_tc_TAO_tc_IOP_Codec_TypeMismatch

The documentation for this interface was generated from the following files:

- IOP.pidl
- IOPC.h
- IOPC.cpp